Skip to main content
`Ctrl`+`K`

# MatKAIJSetT

Set the transformation matrix `T` associated with the `MATKAIJ` matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatKAIJSetT(Mat A, PetscInt p, PetscInt q, const PetscScalar T[])

Logically Collective; the entire `T` is stored independently on all processes.

## Input Parameters

- A - the `MATKAIJ` matrix

- p - the number of rows in `S`

- q - the number of columns in `S`

- T - the `T` matrix, in form of a scalar array in column-major format

## Notes

The dimensions `p` and `q` must match those of the shift matrix `S` associated with the `MATKAIJ` matrix.

The `T` matrix is copied, so the user can destroy this array.

## See Also

Matrices, `Mat`, `MATKAIJ`, `MatKAIJGetT()`, `MatKAIJSetS()`, `MatKAIJSetAIJ()`

## Level

advanced

## Location

src/mat/impls/kaij/kaij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages